## golang-github-juju-mutex 0.0~git20180619.d21b13a

=== Makefile ===
PROJECT := github.com/juju/mutex

.PHONY: check-licence check-go check

check: check-licence check-go
	go test $(PROJECT)/...

check-licence:
	@(fgrep -rl "Licensed under the LGPLv3" .;\
		fgrep -rl "MACHINE GENERATED BY THE COMMAND ABOVE; DO NOT EDIT" .;\
		find . -name "*.go") | sed -e 's,\./,,' | sort | uniq -u | \
		xargs -I {} echo FAIL: licence missed: {}

check-go:
	$(eval GOFMT := $(strip $(shell gofmt -l .| sed -e "s/^/ /g")))
	@(if [ x$(GOFMT) != x"" ]; then \
		echo go fmt is sad: $(GOFMT); \
		exit 1; \
	fi )
	@(go tool vet -all -composites=false -copylocks=false .)

## golang-github-juju-mutex 0.0~git20171110.1fe2a4b

=== debian/changelog ===
golang-github-juju-mutex (0.0~git20171110.1fe2a4b-3) unstable; urgency=medium

  * Team upload.
  * Vcs-* urls: pkg-go-team -> go-team.

 -- Alexandre Viau <aviau@debian.org>  Tue, 06 Feb 2018 00:19:29 -0500

golang-github-juju-mutex (0.0~git20171110.1fe2a4b-2) unstable; urgency=medium

  * point Vcs-* urls to salsa.d.o subproject

 -- Alexandre Viau <aviau@debian.org>  Thu, 25 Jan 2018 17:07:44 -0500

golang-github-juju-mutex (0.0~git20171110.1fe2a4b-1) unstable; urgency=medium

  * Initial release (Closes: #886605)

 -- Alexandre Viau <aviau@debian.org>  Sun, 07 Jan 2018 21:31:00 -0500

=== debian/control ===
Source: golang-github-juju-mutex
Section: devel
Priority: optional
Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Alexandre Viau <aviau@debian.org>
Build-Depends: debhelper (>= 10),
               dh-golang,
               golang-any,
               golang-github-juju-errors-dev,
               golang-gopkg-check.v1-dev
Standards-Version: 4.1.1
Homepage: https://github.com/juju/mutex
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-juju-mutex
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-juju-mutex.git
XS-Go-Import-Path: github.com/juju/mutex
Testsuite: autopkgtest-pkg-go

Package: golang-github-juju-mutex-dev
Architecture: all
Depends: ${shlibs:Depends},
         ${misc:Depends},
         golang-github-juju-errors-dev,
         golang-gopkg-check.v1-dev
Description: named machine level mutex shareable between processes
 package mutex provides a named machine level mutex shareable between
 processes.
 .
 Mutexes have names. Each each name, only one mutex for that name can be
 acquired at the same time, within and across process boundaries. If a
 process dies while the mutex is held, the mutex is automatically released.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem=golang --with=golang

override_dh_auto_test:
	# Test dependencies are not yet available in Debian.

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/golang-github-juju-mutex-\$1\.tar\.gz/,\
uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/\$1~\$2\$3/ \
  https://github.com/juju/mutex/tags .*/v?(\d\S*)\.tar\.gz

## golang-github-juju-mutex 0.0~git20180619.d21b13a

=== debian/changelog ===
golang-github-juju-mutex (0.0~git20180619.d21b13a-2) unstable; urgency=medium

  * Source only upload for testing migration

 -- Mathias Gibbens <mathias@calenhad.com>  Thu, 25 Nov 2021 11:25:52 +0100

golang-github-juju-mutex (0.0~git20180619.d21b13a-1) unstable; urgency=medium

  * Reintroduce package to the archive (Closes: #998300)
  * New upstream snapshot
  * Add myself to uploaders, and remove Alexandre Viau
    - Thanks for your work Alexandre!
  * d/control:
    - Update Section to golang
    - Update Maintainer field to current team email address
    - Use debhelper-compat
    - Bump Standards-Version (no changes needed)
    - Add Rules-Requires-Root: no
    - Add Multi-Arch: foreign
    - Update Build-Depends and Depends
  * d/copyright:
    - Update years
    - Remove unneeded Files-Excluded
  * Refresh d/rules
  * Update d/watch
  * Add d/upstream/metadata

 -- Mathias Gibbens <mathias@calenhad.com>  Sat, 20 Nov 2021 16:12:15 +0100

=== debian/control ===
Source: golang-github-juju-mutex
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Mathias Gibbens <mathias@calenhad.com>
Section: golang
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-golang,
               golang-any,
               golang-github-golang-mock-dev,
               golang-github-juju-errors-dev,
               golang-gopkg-check.v1-dev
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-juju-mutex
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-juju-mutex.git
Homepage: https://github.com/juju/mutex
Rules-Requires-Root: no
XS-Go-Import-Path: github.com/juju/mutex

Package: golang-github-juju-mutex-dev
Architecture: all
Depends: ${misc:Depends},
         golang-github-golang-mock-dev,
         golang-github-juju-errors-dev,
         golang-gopkg-check.v1-dev
Description: Provides a named machine level mutex shareable between processes (library)
 package mutex provides a named machine level mutex shareable between
 processes.
 .
 Mutexes have names. Each each name, only one mutex for that name can be
 acquired at the same time, within and across process boundaries. If a
 process dies while the mutex is held, the mutex is automatically released.

=== debian/watch ===
version=4
opts="mode=git, pgpmode=none" \
  https://github.com/juju/mutex.git \
  HEAD debian

# Use the following when upstream starts to tag releases:
#
#version=4
#opts="filenamemangle=s%!((string=golang-github-juju-mutex)?:.*?)?v?(\d[\d.]*)\.tar\.gz%!@(MISSING)PACKAGE@-$1.tar.gz%!,(MISSING)\
#      uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/$1~$2$3/" \
#  https://github.com/juju/mutex/tags .*/v?(\d\S*)\.tar\.gz debian

## golang-github-juju-mutex 0.0~git20220203.11eeddb

=== debian/changelog ===
golang-github-juju-mutex (0.0~git20220203.11eeddb-1) unstable; urgency=medium

  [ Aloïs Micard ]
  * update debian/gitlab-ci.yml (using pkg-go-tools/ci-config)

  [ Mathias Gibbens ]
  * New upstream snapshot
  * Add missing dependency to Build-Depends and Depends in d/control
  * Update years in d/copyright

 -- Mathias Gibbens <mathias@calenhad.com>  Fri, 06 May 2022 00:28:21 +0000

=== debian/control ===
--- 
+++ 
@@ -9,6 +9,7 @@
                golang-any,
                golang-github-golang-mock-dev,
                golang-github-juju-errors-dev,
+               golang-github-juju-testing-dev,
                golang-gopkg-check.v1-dev
 Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-juju-mutex
@@ -22,6 +23,7 @@
 Depends: ${misc:Depends},
          golang-github-golang-mock-dev,
          golang-github-juju-errors-dev,
+         golang-github-juju-testing-dev,
          golang-gopkg-check.v1-dev
 Description: Provides a named machine level mutex shareable between processes (library)
  package mutex provides a named machine level mutex shareable between

## golang-github-juju-mutex 2.0.0

=== debian/changelog ===
golang-github-juju-mutex (2.0.0-1) unstable; urgency=medium

  * First upstream release
    - Update d/watch to track releases
  * Update Standards-Version in d/control (no changes needed)

 -- Mathias Gibbens <mathias@calenhad.com>  Fri, 12 Aug 2022 13:52:54 +0000

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                golang-github-juju-errors-dev,
                golang-github-juju-testing-dev,
                golang-gopkg-check.v1-dev
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-juju-mutex
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-juju-mutex.git
 Homepage: https://github.com/juju/mutex

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%,\
      uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/$1~$2$3/" \
  https://github.com/juju/mutex/tags .*/v?(\d\S*)\.tar\.gz debian
